## org.apache.poi.ss.formula
Interface EvaluationWorkbook

All Known Implementing Classes:
  HSSFEvaluationWorkbook, XSSFEvaluationWorkbook

    public interface EvaluationWorkbook

Abstracts a workbook for the purpose of formula evaluation.
For POI internal use only

Author:
  Josh Micich

Nested Class Summary
`static class` `EvaluationWorkbook.ExternalName`
`static class` `EvaluationWorkbook.ExternalSheet`

Method Summary
`int` `convertFromExternSheetIndex(int externSheetIndex)`
`EvaluationWorkbook.ExternalName` `getExternalName(int externSheetIndex, int externNameIndex)`
`EvaluationWorkbook.ExternalSheet` `getExternalSheet(int externSheetIndex)`
`Ptg[]` `getFormulaTokens(EvaluationCell cell)`
`EvaluationName` `getName(NamePtg namePtg)`
`EvaluationName` `getName(java.lang.String name, int sheetIndex)`
`EvaluationSheet` `getSheet(int sheetIndex)`
`int` `getSheetIndex(EvaluationSheet sheet)`
`int` `getSheetIndex(java.lang.String sheetName)` Finds a sheet index by case insensitive name.
`java.lang.String` `getSheetName(int sheetIndex)`
`UDFFinder` `getUDFFinder()`
`java.lang.String` `resolveNameXText(NameXPtg ptg)`

Method Detail

### getSheetName

    java.lang.String getSheetName(int sheetIndex)

### getSheetIndex

    int getSheetIndex(EvaluationSheet sheet)

  Returns:
    -1 if the specified sheet is from a different book

### getSheetIndex

    int getSheetIndex(java.lang.String sheetName)

  Finds a sheet index by case insensitive name.

  Returns:
    the index of the sheet matching the specified name. -1 if not found

### getSheet

    EvaluationSheet getSheet(int sheetIndex)

### getExternalSheet

    EvaluationWorkbook.ExternalSheet getExternalSheet(int externSheetIndex)

  Returns:
    `null` if externSheetIndex refers to a sheet inside the current workbook

### convertFromExternSheetIndex

    int convertFromExternSheetIndex(int externSheetIndex)

### getExternalName

    EvaluationWorkbook.ExternalName getExternalName(int externSheetIndex,
                                                    int externNameIndex)

### getName

    EvaluationName getName(NamePtg namePtg)

### getName

    EvaluationName getName(java.lang.String name,
                           int sheetIndex)

### resolveNameXText

    java.lang.String resolveNameXText(NameXPtg ptg)

### getFormulaTokens

    Ptg[] getFormulaTokens(EvaluationCell cell)

### getUDFFinder

    UDFFinder getUDFFinder()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.